%define module_version 0.88
%define module_name MojoX-Redis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(List/Util.pm) perl(Mojo/Base.pm) perl(Mojo/IOLoop.pm) perl(Mojo/IOLoop/Server.pm) perl(Scalar/Util.pm) perl(base.pm) perl-devel
# END SourceDeps(oneline)
%define upstream_name    MojoX-Redis
%define upstream_version 0.85

Name:       perl-%{upstream_name}
Version:    0.88
Release:    alt1

Summary:    Asynchronous Redis client for Mojo
License:    artistic_2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UN/UNDEF/%{module_name}-%{module_version}.tar.gz

BuildRequires: perl(Encode.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Mojolicious.pm)
BuildRequires: perl(Protocol/Redis.pm)
BuildRequires: perl(Test/More.pm)
BuildArch:  noarch
Source44: import.info

%description
the MojoX::Redis manpage is an asynchronous client to Redis for Mojo.

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE Changes
%perl_vendor_privlib/*

%changelog
* Wed Feb 24 2016 Igor Vlasenko <viy@altlinux.ru> 0.88-alt1
- moved to perl-package-updater

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.85-alt2_3
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.85-alt2_2
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.85-alt1_2
- mgaimport update

* Mon Jul 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.84-alt1_1
- converted for ALT Linux by srpmconvert tools

